Portable GUI toolkit (IUP) version 3.0 (RC2)

External libraries (GTK, GSL, SDL, Allegro, OpenGL, etc) questions.
Galeon
Posts: 563
Joined: Apr 08, 2009 5:30
Location: Philippines
Contact:

Postby Galeon » Aug 19, 2010 4:47

Try renaming <FreeBASIC Installation Dir>\lib\win32\libadvapi32.a to libadvapi32.dll.a
AGS
Posts: 1284
Joined: Sep 25, 2007 0:26
Location: the Netherlands

Postby AGS » Aug 19, 2010 9:27

Galeon wrote:Try renaming <FreeBASIC Installation Dir>\lib\win32\libadvapi32.a to libadvapi32.dll.a


I've tried and can confirm that the tip given by Galeon takes care of the linking problems (rename libadvapi32.a to libadvapi32.dll.a).

But there is actually an error in iup.bi At the start of the file there is a line

Code: Select all

#inclib "advapi32.dll"


Changing the above line to

Code: Select all

#inclib "advapi32"


will help solve the linking problems.

With previous versions of fbc the line #inclib "advapi32.dll" did not pose a problem (linking succeeded without a problem).

Don't forget to remove libiup.dll.a and libiupcontrols.dll.a from lib/win32/ otherwise fbc will try to link with those libraries and not with the static once provided with the package.

I'm using Windows 7 Pro (64bit).
spyke
Posts: 17
Joined: May 29, 2005 1:32
Location: Wisconsin
Contact:

Thanks

Postby spyke » Aug 19, 2010 15:02

Thanks, that worked like a charm. I'm still getting to know some of the quirks of FreeBASIC. One thing I find interesting is that the dll issue is due to using the MingG linker. Wouldn't switching to another assembler/linker like the Watcom one (which is open source as well) be a better solution to the issues with linking to dll's created with another product.
oyster
Posts: 183
Joined: Oct 11, 2005 10:46

Re: Portable GUI toolkit (IUP) version 3.0 (RC2)

Postby oyster » Feb 02, 2019 3:40

what is the latest version of your lib? which one,the lib in FBC release and you, is the newest one?

i think the one in FBC is new. However
1. the one in FBC are almost direct translation from C header. It is a little hard to use
2. there are only few demos using C_header-translated-bi in FBC. Many demos on this forum seem to use the old interface. Where can I find more little demos in FB? I always lost when I try to read C, sorry.

I read that IUP+CD+IM are used to program some applications including image processing app ( imlab). It looks nice and powerful
ERICMAUDOUIT
Posts: 4
Joined: Mar 07, 2018 23:01

Re: Portable GUI toolkit (IUP) version 3.0 (RC2)

Postby ERICMAUDOUIT » Feb 24, 2019 14:17

Hello the world

I just installed IUP 3.26 on my system UBUNTU 16.04 without problems

I use FBC 1.05 and when i compile the example "message.bas", there is no problems

Code: Select all

#include once "IUP/iup.bi"
#define NULL 0

  '' Initializes IUP
  IupOpen( NULL, NULL )

  '' Shows a Message Box
  IupMessage("IupMessage Example", "Hi! Press the button:")

  '' Finishes IUP
  IupClose ()


But when i execute the program

(message:8805): Gtk-ERROR **: GTK+ 2.x symbols detected. Using GTK+ 2.x and GTK+ 3 in the same process is not supported
Trace/breakpoint trap (core dumped)


------------------
(program exited with code: 133)
Press return to continue


do you know this ?
Thanks

Mars 1, 2019

Hello

In the end by doing this in 'IUP.BI'

Code: Select all

   '#inclib "gtk-x11-2.0"
   '#inclib "gdk-x11-2.0"



it works !!!!!!!!!!!!!!!!
Coolman
Posts: 211
Joined: Nov 05, 2010 15:09

Re: Portable GUI toolkit (IUP) version 3.0 (RC2)

Postby Coolman » Mar 16, 2019 20:51

this is not a solution because iup is closely related to gtk. if the program uses an advanced function of gtk. it will crash.

Return to “Libraries”

Who is online

Users browsing this forum: No registered users and 1 guest